## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTSQLDataType

All Known Implementing Classes:
  ASTSQLDataType

    public interface IASTSQLDataType

Represents a SQL data type.

Author:
  Hui Cao

Method Summary
`int` `getLength()`
`java.lang.String` `getName()`
`int` `getScale()`
`void` `setLength(int length)`
`void` `setName(java.lang.String name)`
`void` `setScale(int scale)`

Method Detail

### getLength

    int getLength()

### setLength

    void setLength(int length)

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getScale

    int getScale()

### setScale

    void setScale(int scale)